<template>
  <q-tabs align="left" aria-label="Tabbladen">
    <q-route-tab :to="'/dts/' + nt_version + '/' + dts_name" label="Rendering" active-class="active"
                 title="Toon rendering" v-if="features.toc"/>
    <q-route-tab :to="'/dts/' + nt_version + '/' + dts_name + '/definition'" label="Definiton Link"
                 title="Toon definitions" v-if="features.definition"/>
    <q-route-tab :to="'/dts/' + nt_version + '/' + dts_name + '/dimensions'" label="Dimensions" title="Toon dimensies"
                 v-if="features.dimensions"/>
    <q-route-tab :to="'/dts/' + nt_version + '/' + dts_name + '/presentations'" label="Presentations"
                 title="Toon presentations" v-if="features.presentations"/>
    <q-route-tab :to="'/dts/' + nt_version + '/' + dts_name + '/concepts'" label="Concepten" title="Toon concepten"/>
    <q-route-tab :to="'/dts/' + nt_version + '/' + dts_name + '/itemtypes'" label="Itemtypes" title="Toon itemtypes"/>
    <q-route-tab :to="'/dts/' + nt_version + '/' + dts_name + '/references'" label="Referenties"
                 title="Toon referenties" v-if="features.references"/>
    <q-route-tab :to="'/dts/' + nt_version + '/' + dts_name + '/labels'" label="Labels" title="Toon labels"/>
    <q-route-tab :to="'/dts/' + nt_version + '/' + dts_name + '/linkroles'" label="Linkroles" title="Toon linkroles"/>
    <q-route-tab :to="'/dts/' + nt_version + '/' + dts_name + '/tables'" label="Tabellen" title="Toon tabellen"
                 v-if="features.tables"/>
    <q-route-tab :to="'/dts/' + nt_version + '/' + dts_name + '/arcs'" label="Networks" title="Toon netwerken"/>
    <q-route-tab :to="'/dts/' + nt_version + '/' + dts_name + '/assertions'" label="Formules" title="Toon validaties"
                 v-if="features.formulas"/>
  </q-tabs>
</template>

<script>

import {api} from "boot/axios";

export default {
  name: "TopMenu",
  props: {nt_version: String, dts_name: String},
  data() {
    return {
      features: Object
    }
  },
  created() {
    this.dts_features()
  },
  methods: {
    dts_features: function () {
      api.get("/dts/" + this.dts_name + "/features", {params: {nt_version: this.nt_version}})
        .then(response => {
          this.features = response.data
        })
    }
  }
}
</script>

<style scoped>

</style>
